## burner-track-type

burner-track-type

## Functions

BurnerTrackType * | burner_track_type_new ()
void | burner_track_type_free ()
gboolean | burner_track_type_is_empty ()
gboolean | burner_track_type_get_has_data ()
gboolean | burner_track_type_get_has_image ()
gboolean | burner_track_type_get_has_stream ()
gboolean | burner_track_type_get_has_medium ()
void | burner_track_type_set_has_data ()
void | burner_track_type_set_has_image ()
void | burner_track_type_set_has_stream ()
void | burner_track_type_set_has_medium ()
BurnerStreamFormat | burner_track_type_get_stream_format ()
BurnerImageFormat | burner_track_type_get_image_format ()
BurnerMedia | burner_track_type_get_medium_type ()
BurnerImageFS | burner_track_type_get_data_fs ()
void | burner_track_type_set_stream_format ()
void | burner_track_type_set_image_format ()
void | burner_track_type_set_medium_type ()
void | burner_track_type_set_data_fs ()
gboolean | burner_track_type_equal ()

## Types and Values

| BurnerTrackType

## Description

## Functions

### burner_track_type_new ()

    BurnerTrackType *
    burner_track_type_new (void);

Creates a new BurnerTrackType structure. Free it with `burner_track_type_free()`.

#### Returns

a BurnerTrackType pointer.

### burner_track_type_free ()

    void
    burner_track_type_free (BurnerTrackType *type);

Frees BurnerTrackType structure.

#### Parameters

type | a BurnerTrackType. |

### burner_track_type_is_empty ()

    gboolean
    burner_track_type_is_empty (const BurnerTrackType *type);

Returns TRUE if no type was set.

#### Parameters

type | a BurnerTrackType. |

#### Returns

a gboolean

### burner_track_type_get_has_data ()

    gboolean
    burner_track_type_get_has_data (const BurnerTrackType *type);

Returns TRUE if DATA type (see `burner_track_data_new()`) was set.

#### Parameters

type | a BurnerTrackType. |

#### Returns

a gboolean

### burner_track_type_get_has_image ()

    gboolean
    burner_track_type_get_has_image (const BurnerTrackType *type);

Returns TRUE if IMAGE type (see `burner_track_image_new()`) was set.

#### Parameters

type | a BurnerTrackType. |

#### Returns

a gboolean

### burner_track_type_get_has_stream ()

    gboolean
    burner_track_type_get_has_stream (const BurnerTrackType *type);

This function returns `TRUE` if IMAGE type (see `burner_track_stream_new()`) was set.

#### Parameters

type | a BurnerTrackType. |

#### Returns

a gboolean

### burner_track_type_get_has_medium ()

    gboolean
    burner_track_type_get_has_medium (const BurnerTrackType *type);

Returns TRUE if MEDIUM type (see `burner_track_disc_new()`) was set.

#### Parameters

type | a BurnerTrackType. |

#### Returns

a gboolean

### burner_track_type_set_has_data ()

    void
    burner_track_type_set_has_data (BurnerTrackType *type);

Set DATA type for `type` .

#### Parameters

type | a BurnerTrackType. |

### burner_track_type_set_has_image ()

    void
    burner_track_type_set_has_image (BurnerTrackType *type);

Set IMAGE type for `type` .

#### Parameters

type | a BurnerTrackType. |

### burner_track_type_set_has_stream ()

    void
    burner_track_type_set_has_stream (BurnerTrackType *type);

Set STREAM type for `type`

#### Parameters

type | a BurnerTrackType. |

### burner_track_type_set_has_medium ()

    void
    burner_track_type_set_has_medium (BurnerTrackType *type);

Set MEDIUM type for `type` .

#### Parameters

type | a BurnerTrackType. |

### burner_track_type_get_stream_format ()

    BurnerStreamFormat
    burner_track_type_get_stream_format (const BurnerTrackType *type);

Returns the format for a stream (song or video) when `burner_track_type_get_has_stream()` returned TRUE.

#### Parameters

type | a BurnerTrackType. |

#### Returns

a BurnerStreamFormat

### burner_track_type_get_image_format ()

    BurnerImageFormat
    burner_track_type_get_image_format (const BurnerTrackType *type);

Returns the format of an image when `burner_track_type_get_has_image()` returned TRUE.

#### Parameters

type | a BurnerTrackType. |

#### Returns

a BurnerImageFormat

### burner_track_type_get_medium_type ()

    BurnerMedia
    burner_track_type_get_medium_type (const BurnerTrackType *type);

Returns the medium type when `burner_track_type_get_has_medium()` returned TRUE.

#### Parameters

type | a BurnerTrackType. |

#### Returns

a BurnerMedia

### burner_track_type_get_data_fs ()

    BurnerImageFS
    burner_track_type_get_data_fs (const BurnerTrackType *type);

Returns the parameters for the image generation when `burner_track_type_get_has_data()` returned TRUE.

#### Parameters

type | a BurnerTrackType. |

#### Returns

a BurnerImageFS

### burner_track_type_set_stream_format ()

    void
    burner_track_type_set_stream_format (BurnerTrackType *type,
                                         BurnerStreamFormat format);

Sets the BurnerStreamFormat. Must be called after `burner_track_type_set_has_stream()`.

#### Parameters

type | a BurnerTrackType. |
format | a BurnerImageFormat |

### burner_track_type_set_image_format ()

    void
    burner_track_type_set_image_format (BurnerTrackType *type,
                                        BurnerImageFormat format);

Sets the BurnerImageFormat. Must be called after `burner_track_type_set_has_image()`.

#### Parameters

type | a BurnerTrackType. |
format | a BurnerImageFormat |

### burner_track_type_set_medium_type ()

    void
    burner_track_type_set_medium_type (BurnerTrackType *type,
                                       BurnerMedia media);

Sets the BurnerMedia. Must be called after `burner_track_type_set_has_medium()`.

#### Parameters

type | a BurnerTrackType. |
media | a BurnerMedia |

### burner_track_type_set_data_fs ()

    void
    burner_track_type_set_data_fs (BurnerTrackType *type,
                                   BurnerImageFS fs_type);

Sets the BurnerImageFS. Must be called after `burner_track_type_set_has_data()`.

#### Parameters

type | a BurnerTrackType. |
fs_type | a BurnerImageFS |

### burner_track_type_equal ()

    gboolean
    burner_track_type_equal (const BurnerTrackType *type_A,
                             const BurnerTrackType *type_B);

Returns TRUE if `type_A` and `type_B` represents the same type and subtype.

#### Parameters

type_A | a BurnerTrackType. |
type_B | a BurnerTrackType. |

#### Returns

a gboolean

## Types and Values

### BurnerTrackType

    typedef struct _BurnerTrackType BurnerTrackType;